aboutsummaryrefslogtreecommitdiffstats
path: root/main/gcalcli/APKBUILD
diff options
context:
space:
mode:
authorFrancesco Colista <fcolista@alpinelinux.org>2016-04-25 14:06:13 +0000
committerFrancesco Colista <fcolista@alpinelinux.org>2016-04-25 14:06:13 +0000
commitbc715e671d8177df70700e69693b112101b26b40 (patch)
tree5ba3c8275b54a1c9f7be97a8b2c951cd7ea1984f /main/gcalcli/APKBUILD
parentcfe2129ab3fab2495fffb75a3da7858a1d939c21 (diff)
downloadaports-bc715e671d8177df70700e69693b112101b26b40.tar.gz
aports-bc715e671d8177df70700e69693b112101b26b40.tar.bz2
aports-bc715e671d8177df70700e69693b112101b26b40.tar.xz
main/gcalcli: upgrade to 3.3.2. Now uses python3
Diffstat (limited to 'main/gcalcli/APKBUILD')
-rw-r--r--main/gcalcli/APKBUILD29
1 files changed, 10 insertions, 19 deletions
diff --git a/main/gcalcli/APKBUILD b/main/gcalcli/APKBUILD
index 43cb532a98..66c04adcd9 100644
--- a/main/gcalcli/APKBUILD
+++ b/main/gcalcli/APKBUILD
@@ -1,39 +1,30 @@
# Maintainer: Peter Bui <pnutzh4x0r@gmail.com>
pkgname=gcalcli
-pkgver=3.3
+pkgver=3.3.2
pkgrel=0
pkgdesc="Google Calendar Command Line Interface"
url="https://github.com/insanum/gcalcli"
arch="noarch"
license="MIT"
-depends="python py-google-api-python-client py-dateutil py-gflags py-vobject"
+depends="python3 py-google-api-python-client py-dateutil py-gflags py-vobject"
depends_dev=""
makedepends="python-dev py-setuptools"
install=""
subpackages=""
source="http://pypi.python.org/packages/source/${pkgname:0:1}/${pkgname}/${pkgname}-$pkgver.tar.gz"
-_builddir="$srcdir"/$pkgname-$pkgver
-prepare() {
- local i
- cd "$_builddir"
- for i in $source; do
- case $i in
- *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
- esac
- done
-}
+builddir="$srcdir"/$pkgname-$pkgver
build() {
- cd "$_builddir"
- python setup.py build || return 1
+ cd "$builddir"
+ python3 setup.py build || return 1
}
package() {
- cd "$_builddir"
- python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+ cd "$builddir"
+ python3 setup.py install --prefix=/usr --root="$pkgdir" || return 1
}
-md5sums="7d4e194599054ed9777012e3c1b91116 gcalcli-3.3.tar.gz"
-sha256sums="026bcdf69a2a6d6a49c6b3735357fba139a6a64f014643ba33ce7be776a6c50c gcalcli-3.3.tar.gz"
-sha512sums="2c4b93ca8e512f327ebbc2060784016305c4d5e66195f1d2888cb3464d851ce25c3e3606e84de90410e9d62a655c0c48191eafc7d163cac07b4802f3856a2f4f gcalcli-3.3.tar.gz"
+md5sums="65b76ef79e3f0b0a1baa82050dbb250c gcalcli-3.3.2.tar.gz"
+sha256sums="72d6344638bf6edfc18321d955aecbff9bb548e7cc7addab21716a01df07867b gcalcli-3.3.2.tar.gz"
+sha512sums="73154f1d1e65b3826796eb150cc2a434feb2efdaadfb7c1cf96713ab4f99f96051de32ab975de70802271a05a1de92cd13b38c53a0e8e0d7314c563aed82c3e6 gcalcli-3.3.2.tar.gz"